Skip to main content
POST
/
v2
/
accounts
Create an account
curl --request POST \
  --url https://api.cdp.coinbase.com/platform/v2/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My Business Account"
}
'
{
  "accountId": "account_af2937b0-9846-4fe7-bfe9-ccc22d935114",
  "type": "cdp",
  "owner": "entity_af2937b0-9846-4fe7-bfe9-ccc22d935114",
  "name": "My Business Account",
  "createdAt": "2023-10-08T14:30:00Z",
  "updatedAt": "2023-10-08T14:30:00Z"
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Headers

X-Idempotency-Key
string

An optional string request header for making requests safely retryable. When included, duplicate requests with the same key will return identical responses. Refer to our Idempotency docs for more information on using idempotency keys.

Required string length: 1 - 128

Body

application/json
name
string

An optional name for the account. Must be 1-64 characters and can only contain alphanumeric characters, hyphens, and spaces.

Maximum string length: 64
Pattern: ^[a-zA-Z0-9 -]{1,64}$
Example:

"My Business Account"

Response

Successfully created account.

accountId
string
required

The ID of the Account, which is a UUID prefixed by the string account_.

Pattern: ^account_[a-f0-9\-]{36}$
Example:

"account_af2937b0-9846-4fe7-bfe9-ccc22d935114"

type
enum<string>
required

The type of the Account.

Available options:
prime,
business,
cdp
Example:

"prime"

owner
string
required

The Owner ID of the Account. Owner IDs are UUIDs prefixed with the Owner Type as follows:

  • Entity: entity_ - If the Owner is your Entity, e.g. entity_af2937b0-9846-4fe7-bfe9-ccc22d935114. Support for Customer-owned accounts (customer_ prefix) is in development.
Pattern: ^(entity|customer)_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"entity_af2937b0-9846-4fe7-bfe9-ccc22d935114"

createdAt
string<date-time>
required

The timestamp when the account was created.

Example:

"2023-10-08T14:30:00Z"

updatedAt
string<date-time>
required

The timestamp when the account was last updated.

Example:

"2023-10-08T14:30:00Z"

name
string

An optional name for the account. Must be 1-64 characters and can only contain alphanumeric characters, hyphens, and spaces.

Maximum string length: 64
Pattern: ^[a-zA-Z0-9 -]{1,64}$
Example:

"My Business Account"